> ## Documentation Index
> Fetch the complete documentation index at: https://developer.obiex.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload invoice document

> Upload an invoice document (image or PDF, max 1 MB). Returns a URL to include in the Create Invoice request.



## OpenAPI

````yaml /api-reference/openapi.json post /uploads/invoices
openapi: 3.0.0
info:
  title: Obiex API
  version: 1.0.0
  description: >-
    Welcome to the Obiex API Documentation, your guide to building amazing
    payment experiences with our powerful APIs.


    Start by reviewing the overview of each folder to understand how the APIs
    function and interact. This will help you get the most out of our platform
    and easily integrate its features into your applications.
servers:
  - url: https://api.obiex.finance/v1
security: []
paths:
  /uploads/invoices:
    post:
      tags:
        - Invoice Settlement
      summary: Upload invoice document
      description: >-
        Upload an invoice document (image or PDF, max 1 MB). Returns a URL to
        include in the Create Invoice request.
      parameters:
        - name: x-api-key
          in: header
          required: false
          deprecated: false
          schema: {}
        - name: x-api-signature
          in: header
          required: false
          deprecated: false
          schema: {}
        - name: x-api-timestamp
          in: header
          required: false
          deprecated: false
          schema: {}
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - file
              properties:
                file:
                  type: string
                  format: binary
                  description: >-
                    The invoice file. Accepted types: image/jpeg, image/png,
                    application/pdf. Max size: 1 MB.
      responses:
        '200':
          description: Document uploaded successfully
          content:
            application/json:
              schema:
                type: object
              example:
                message: Ok
                data:
                  url: >-
                    https://res.cloudinary.com/afrivelle/image/upload/v1718000000/invoice_abc123.pdf
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````